@echo off

rem $Id: makecal.cmd,v 1.2.1.4 1999/02/13 00:11:19 jyothi Exp $

rem If -V or -U is used the script will echo the version or usage and terminate.

rem $Id: makecal.cmd,v 1.2.1.4 1999/02/13 00:11:19 jyothi Exp $

set VERSION=5.2
set BANNER=MAESTRO for Windows NT/MAKECAL %VERSION% (C) Unison Software Inc. 1998

if "%1" == "-V" goto banner
if "%1" == "-v" goto banner
if "%1" == "-U" goto usage
if "%1" == "-u" goto usage
goto start

:banner
echo %BANNER%
echo $Revision: 1.2.1.4 $
goto done

:usage
echo "usage: makecal [-V|-v|-U|-u] [cdefilmprswxz] [args]"
goto done

:start
set ARGS=%1 %2 %3 %4 %5 %6 %7 %8 %9
:loop
shift
if "%9" == "" goto begin
set ARGS=%ARGS% %9
goto loop
setlocal

:begin
set HOME=c:\systest2\maestro
set POSIXHOME=/systest2/maestro

rem ****************************** PMR 63130 ********************************
rem The path is set everytime makecal is run. So if makecal is run hundreds of
rem times the path grows so much that the makecal gives "input line too long"
rem error. Also gives problems when multiple maestros are installed and the
rem path set to the other maestro.
rem set path=%path%;%HOME%\bin;%HOME%\..\unison\bin
rem *************************************************************************

set TCL_LIBRARY=%POSIXHOME%/../unison/lib

%TCL_LIBRARY%\..\bin\tclsh %HOME%\bin\makecal.tcl %ARGS%

endlocal

:done
