@echo off

rem If -V or -U is used the script will echo the version or usage and terminate.

rem $Id: rep11.cmd,v 1.2.1.5 1999/02/16 21:12:26 ajay Exp $

set VERSION=5.2
set BANNER=MAESTRO for Windows NT/REP11 %VERSION% (C) Unison Software Inc. 1998

if "%1" == "-V" goto banner
if "%1" == "-v" goto banner
if "%1" == "-U" goto usage
if "%1" == "-u" goto usage

setlocal

set DOINGCPU=no
set DOINGMONTH=no
:again
if "%1" == "" goto start
if "%1" == "-o" goto setout
if "%1" == "-p" goto setpipe
if "%1" == "-c" goto startcpu
if "%1" == "-m" goto startmonth
if "%DOINGCPU%" == "yes" set CPULIST=%CPULIST% %1
if "%DOINGMONTH%" == "yes" set MONTHLIST=%MONTHLIST% %1
shift
goto again

:startcpu
set DOINGCPU=yes
set DOINGMONTH=no
shift
goto again

:startmonth
set DOINGCPU=no
set DOINGMONTH=yes
shift
goto again

:setout
set OUT=%2
shift
shift
goto again

:setpipe
set PIPE=%2
shift
shift
goto again

:start
set HOME=c:\systest2\maestro
set path=%path%;%HOME%\bin;%HOME%\..\unison\bin

echo %BANNER%

if not "%OUT%" == "" goto doout
if not "%PIPE%" == "" goto dopipe
if "%CPULIST%" == "" if "%MONTHLIST%" == "" goto noargs
if "%CPULIST%" == "" goto monthonly
if "%MONTHLIST%" == "" goto cpuonly
for %%c in (%CPULIST%) do for %%m in (%MONTHLIST%) do r11xtr -c %%c -m %%m | gsort | report11
goto jump
:noargs
r11xtr | gsort | report11
goto jump
:monthonly
for %%m in (%MONTHLIST%) do r11xtr -m %%m | gsort | report11
goto jump
:cpuonly
for %%c in (%CPULIST%) do r11xtr -c %%c | gsort | report11
goto jump

:doout
touch %OUT%
for %%c in (%CPULIST%) do for %%m in (%MONTHLIST%) do r11xtr -c %%c -m %%m | gsort | report11 >> %OUT%
goto checkprint

:dopipe
for %%c in (%CPULIST%) do for %%m in (%MONTHLIST%) do r11xtr -c %%c -m %%m | gsort | report11 | %PIPE%
goto checkprint

:checkprint
if "%CPULIST%" == "" if not "%MONTHLIST%" == "" goto printall
if not "%CPULIST%" == "" if "%MONTHLIST%" == "" goto printall
if "%CPULIST%" == "" if "%MONTHLIST%" == "" goto printall
if not "%CPULIST%" == "" if not "%MONTHLIST%" == "" goto jump

:printall
if not "%OUT%" == "" goto printall_doout
if not "%PIPE%" == "" goto printall_dopipe
r11xtr | gsort | report11
goto jump

:printall_doout
touch %OUT%
r11xtr | gsort | report11 >> %OUT%
goto jump

:printall_dopipe
r11xtr | gsort | report11 | %PIPE%
goto jump

:jump
endlocal
goto done

:banner
echo %BANNER%
echo $Revision: 1.2.1.5 $
goto done
:usage
echo "usage: rep11 [-V|-v|-U|-u] [-c cpu...] [-m month...] [-o out_file|-p pipe_cmd]"
goto done

:done
